import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const NavbarGuest: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        logoImgSrc: PropTypes.Requireable<string>;
        logoLabel: PropTypes.Requireable<string>;
        logoHref: PropTypes.Requireable<string>;
        login: PropTypes.Requireable<object>;
        signup: PropTypes.Requireable<object>;
    };
    defaultProps: {
        logoImgSrc: string;
        logoLabel: string;
        logoHref: undefined;
        login: undefined;
        signup: undefined;
    };
};
export default NavbarGuest;
